Bug 319296 - When switching from Thumbnails to Preview Image and then Table, zoom slider gets set to incorrect value [patch]
Summary: When switching from Thumbnails to Preview Image and then Table, zoom slider g...
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Albums-MainView (show other bugs)
Version: 3.2.0
Platform: Compiled Sources Linux
: NOR minor (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-05-04 00:45 UTC by nurupo
Modified: 2017-07-14 04:22 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 3.2.0


Attachments
patch_319296.diff (461 bytes, patch)
2013-05-04 00:47 UTC, nurupo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description nurupo 2013-05-04 00:45:36 UTC
When switching from anything to Table view, zoom slider keeps value of the previous view, which is usually incorrect.

Reproducible: Always

Steps to Reproduce:
1. In Thumbnails view set zoom slider to 256
2. Switch to Preview Image
3. Set zoom slider to 50% (0)
4. Switch to Table View

Actual Results:  
Thumbnails have size of 256, but the zoom slider shows 0

Expected Results:  
Zoom slider shows 256 (the actual size of thumbnails)
Comment 1 nurupo 2013-05-04 00:47:35 UTC
Created attachment 79682 [details]
patch_319296.diff

Set zoom slider to thumbnails' size.
Comment 2 Michael G. Hansen 2013-05-04 11:27:29 UTC
Git commit f885e6f90d765f59f405411d2172c83bda0db398 by Michael Georg Hansen.
Committed on 04/05/2013 at 13:26.
Pushed by mghansen into branch 'master'.

Fix behavior of zoom slider. Thanks to nurupo for the patch.

M  +1    -0    digikam/views/digikamview.cpp

http://commits.kde.org/digikam/f885e6f90d765f59f405411d2172c83bda0db398